Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1094196 - [engine-backend] [iSCSI multipath] It's possible to remove a network from the setup even though it participates in an iSCSI multipath bond
Summary: [engine-backend] [iSCSI multipath] It's possible to remove a network from the...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Maor
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: 1126221 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-05 09:36 UTC by Elad
Modified: 2016-02-10 18:18 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1126221 (view as bug list)
Environment:
Last Closed: 2015-02-16 19:10:07 UTC
oVirt Team: Storage
Target Upstream Version:
amureini: Triaged+


Attachments (Terms of Use)
Logs from engine and host (deleted)
2014-05-05 09:36 UTC, Elad
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30913 master MERGED core: Block removing network when it's related to iSCSI bond. Never
oVirt gerrit 30979 ovirt-engine-3.5 MERGED core: Block removing network when it's related to iSCSI bond. Never

Description Elad 2014-05-05 09:36:55 UTC
Created attachment 892483 [details]
Logs from engine and host

Description of problem:
Remove networks from RHEVM isn't blocked while the network is attached to an iSCSI bond

Version-Release number of selected component (if applicable):
AV7
rhevm-3.4.0-0.15.beta3.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
On a shared DC with 1 active iSCSI storage domain:
1. Create 2 new networks and attach them to the cluster without required check-box checked
2. Attach the networks to the cluster's hosts NICs 
3. Create a new iSCSI multipath bond (under DC tab -> pick the relevant DC -> iSCSI multipath sub-tab -> new) and add the new networks along with the targets to it
4. After the bond is set, try to remove one of the network that participate in the iSCSI multipath bond from RHEVM (via 'Network' main-tab) (be sure not to remove the MGMT-rhevm/ovirtmgmt network).


Actual results:
Even though the network is attached to the iSCSI bond, it's possible to remove it from the setup:

2014-05-05 12:22:49,657 INFO  [org.ovirt.engine.core.bll.network.dc.RemoveNetworkCommand] (org.ovirt.thread.pool-4-thread-10) [5ff5a3a9] Running command: RemoveNetworkCommand internal: false. Entities affected :  ID: 789c0a01-a8a6-4f45-bd49-8c2b1c03e711 Type: Network
2014-05-05 12:22:49,676 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-4-thread-10) [5ff5a3a9] Correlation ID: 5ff5a3a9, Call Stack: null, Custom Event ID: -1, Message: Network iscsi3 was removed from Data Center: dc1



Expected results:
Removing a network from RHEVM should be blocked if the network participate in an iSCSI bond

Additional info: Logs from engine and host

Comment 3 Elad 2014-08-10 14:42:37 UTC
Attempt to remove a network that participates in an iSCSI multipath bond is now blocked with a CDA message:

2014-08-10 17:40:51,355 WARN  [org.ovirt.engine.core.bll.network.dc.RemoveNetworkCommand] (ajp--127.0.0.1-8702-10) [1e0baa10] CanDoAction of action RemoveNetwork failed. Reasons:VAR__TYPE__NETWORK,VAR__ACTION__REMOVE,NETWORK_CANNOT_REMOVE_ISCSI_BOND_NETWORK,$IscsiBonds   1,$IscsiBonds_COUNTER 1,$NetworkName s1


Check with ovirt-3.5 RC1

Comment 4 Allon Mureinik 2015-02-16 19:10:07 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.